Function
resize
Resizes a container. If the new length exceeds the old length the new elements are filled with copies of value.
resize(file, new_length)
Size resize(object, newLength [value], [resizeTag])
Include Headers
seqan/file.h, seqan/sequence.h
Parameters

file | A File object. Types: File
new_length | The new file size measured in bytes.
object | A container. Types: char array, Pool, Segment, SimpleShape, std::basic_string, std::vector, String, String, StringSet
newLength | The new length object will get.
value | Value that is copied if new items are created in object. Remarks: If the value argument is omitted, the items are not initialized.
resizeTag | Specifies the strategy that is applied if the capacity of object is less than newLength. (optional) Types: Overflow Strategy Default: Specified by DefaultOverflowExplicit.

Remarks
This function can be used both for expanding and for shrinking object.
Return Values
The new length length(object).
Metafunctions: Size
See Also
length, clear, reserve
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:48